Skip to content
Login Sign up

Amazon Seller Products

Amazon Seller Products returns the catalog of products offered by a given Amazon seller, with prices, ratings, and shipping details. Use page for pagination.

GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_products
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key (shared with Amazon).
enginestringyesMust be amazon.
typestringyesMust be seller_products.
seller_idstringyesThe Amazon seller ID (for example, AAZRLVTNON75Z).
domainstringnoMarketplace domain, default amazon.com.
devicedesktop | mobilenoSimulated device.
pageintegernoResults page number.
Terminal window
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_products&seller_id=AAZRLVTNON75Z"
{
"search_parameters": {
"amazon_url": "https://www.amazon.com/s?me=AAZRLVTNON75Z",
"engine": "amazon",
"amazon_domain": "amazon.com",
"type": "seller_products",
"seller_id": "AAZRLVTNON75Z"
},
"search_results": {
"product_results": [
{
"position": 1,
"product_id": "B01NGTV4J5",
"title": "Cascade Platinum Dishwasher Pods",
"link": "https://www.amazon.com/dp/B01NGTV4J5",
"thumbnail": "https://m.media-amazon.com/images/I/71-268JmbAL.jpg",
"price": "$38.88",
"currency": "$",
"shipping_details": ["FREE delivery May 2 - 5"]
},
{
"position": 2,
"product_id": "B000SDKDM4",
"title": "Lavazza Super Crema Whole Bean Coffee Blend",
"price": "$36.64",
"bestseller": { "category": "in Roasted Coffee Beans" }
}
]
},
"pagination": { "current_page": 1, "has_next_page": true, "next_page": 2 }
}